Skip to main content
`Ctrl`+`K`
scipy.integrate.

# OdeSolution

class scipy.integrate.OdeSolution(ts, interpolants, alt_segment=False)

  Continuous ODE solution.

  It is organized as a collection of `DenseOutput` objects which represent local interpolants. It provides an algorithm to select a right interpolant for each given point.

  The interpolants cover the range between t_min and t_max (see Attributes below). Evaluation outside this interval is not forbidden, but the accuracy is not guaranteed.

  When evaluating at a breakpoint (one of the values in ts) a segment with the lower index is selected.

  Parameters:
    ts array_like, shape (n_segments + 1,)

      Time instants between which local interpolants are defined. Must be strictly increasing or decreasing (zero segment with two points is also allowed).

    interpolants list of DenseOutput with n_segments elements

      Local interpolants. An i-th interpolant is assumed to be defined between `ts[i]` and `ts[i + 1]`.

    alt_segment boolean

      Requests the alternative interpolant segment selection scheme. At each solver integration point, two interpolant segments are available. The default (False) and alternative (True) behaviours select the segment for which the requested time corresponded to `t` and `t_old`, respectively. This functionality is only relevant for testing the interpolants’ accuracy: different integrators use different construction strategies.

  Attributes:
    t_min, t_max float

      Time range of the interpolation.

  Methods

  `__call__`(t) | Evaluate the solution.